# /reaction

{% hint style="info" %}
This endpoint will require a POST request when sending the `emoji` parameter.,&#x20;
{% endhint %}

{% hint style="info" %}
This endpoint supports the [Exclude](/exclude-header.md) header
{% endhint %}

### Endpoint Headers:

* bot-token - Token of the Bot <mark style="color:orange;">**\[String]**</mark> (<mark style="color:red;">**Required**</mark>)&#x20;
* chan-id - ID of the channel to be fetched <mark style="color:orange;">**\[Snowflake]**</mark> (<mark style="color:red;">**Required**</mark>)&#x20;
* msg-id - ID of the message to be fetched <mark style="color:orange;">**\[Snowflake]**</mark> (<mark style="color:red;">**Required**</mark>)&#x20;
* apikey - Your Api Auth Key <mark style="color:orange;">**\[String]**</mark> (<mark style="color:red;">**Required**</mark>)

### Endpoint Body Parameters

* emoji - ID of the guild to be fetched <mark style="color:orange;">**\[Unicode Emoji OR String]**</mark> (<mark style="color:green;">**Optional**</mark>)&#x20;

{% hint style="warning" %}
Default emojis must be sent as unicode

Custom Emojis must be sent as `name:id`
{% endhint %}

### Examples:

{% hint style="info" %}
Data API version required. Must replace `<version>` with either **release** or **beta**.
{% endhint %}

<details>

<summary>Bot Designer for Discord</summary>

Example usage of `/reaction` endpoint using BDFD

```bash
$httpAddHeader[apikey;<YOUR-API-KEY>]
$httpAddHeader[bot-token;<YOUR-BOT-TOKEN>]
$httpAddHeader[chan-id;1064098700307218463]
$httpAddHeader[msg-id;1064098700847210194]
$httpGet[https://bdfddata.rickyjs.xyz/<version>/reaction]


$httpResult OR $httpResult[details]
```

OR

```bash
$httpAddHeader[apikey;<YOUR-API-KEY>]
$httpAddHeader[bot-token;<YOUR-BOT-TOKEN>]
$httpAddHeader[chan-id;1064098700307218463]
$httpAddHeader[msg-id;1064098700847210194]
$httpPost[https://bdfddata.rickyjs.xyz/<version>/reaction;{
emoji: <EMOJI>}]


$httpResult OR $httpResult[details]
```

</details>

<details>

<summary>Discord.js</summary>

Example usage of `/reaction` endpoint using Discord.js

```javascript
const axios = require('axios');
(async () => {
return await axios.post('https://bdfddata.rickyjs.xyz/<version>/reaction', {emoji: <EMOJI>}{ 
headers: {
'apikey': <YOUR-API-KEY>,
'bot-token': <YOUR-BOT-TOKEN>,
'guild-id': '1064098700307218463',
'chan-id': '1064098700307218463',
'msg-id': '1064098700847210194'
}
}).then(res=>res.data)
})()
```

</details>

### Possible Responses (Codes)

<details>

<summary>Code 200 (All Emojis)</summary>

API succeeded and details were fetched.

(Retrieves emoji info of the reactions on the message)

```javascript
{
 status: 200,
  details: [
    {
      emoji: { id: '871452210012250182', name: 'lmao' },
      count: 1,
      count_details: { burst: 0, normal: 1 },
      burst_colors: [],
      me_burst: false,
      me: false
    }
  ]
}}
```

</details>

<details>

<summary>Code 200 (Specific Emoji)</summary>

API succeeded and details were fetched.

(Retrieves user-info of users who reacted with the specified emoji)

```javascript
{
 status: 200,
  details: [
    {
      id: '672215920558604332',
      username: 'Rickყ',
      global_name: null,
      display_name: null,
      avatar: '99585a23004b9e5592b3842e24636ae3',
      avatar_decoration: null,
      discriminator: '2006',
      public_flags: 4194560
    }
  ]
}}
```

</details>

<details>

<summary>Code 400</summary>

An error occurred that stopped execution.

```javascript
{
    status: 400
    error: 'Cannot read ...  (This can vary)'
}
```

</details>

<details>

<summary>Code 401</summary>

Invalid bot token was provided.

```javascript
{
  status: 401,
  details: { message: '401: Unauthorized', code: 0 }
}
```

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://dadocs.rickyjs.xyz/endpoints/reaction.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
